MouseWrtParser Class Referencefinal

the main class to read a MouseWrite file More...

`#include <MouseWrtParser.hxx>`

Inheritance diagram for MouseWrtParser:

## Public Member Functions

| MouseWrtParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~MouseWrtParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGTextInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWTextParser
| ~MWAWTextParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions

void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| finds the different objects zones
bool | readCharPLCs (long sz)
| reads the char plc zone: zone 0
bool | readParagraphPLCs (long sz)
| reads the paragraph plc zone: zone 2
bool | readPrintInfo ()
| reads the print info zone: zone 3
bool | readDocumentInfo (long sz)
| reads the document info zone: zone 4
bool | readFont (MWAWFont &font, int &cPos)
| try to read a font
void | newPage (int number)
| adds a new page
int | computeNumPages ()
| computes the number of page
bool | sendMainZone ()
| tries to send the main text zone
bool | sendZone (int number)
| tries to send the header/footer zone
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWTextParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes

std::shared_ptr< MouseWrtParserInternal::State > | m_state
| the state

## Friends

class | MouseWrtParserInternal::SubDocument

## Detailed Description

the main class to read a MouseWrite file

## Constructor & Destructor Documentation

## MouseWrtParser()

MouseWrtParser::MouseWrtParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ~MouseWrtParser()

MouseWrtParser::~MouseWrtParser | ( |  | ) |

final

destructor

## Member Function Documentation

## checkHeader()

bool MouseWrtParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )

final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by MouseWrtParserInternal::SubDocument, and parse().

## computeNumPages()

int MouseWrtParser::computeNumPages | ( |  | ) |

protected

computes the number of page

Referenced by createDocument(), and MouseWrtParserInternal::SubDocument.

## createDocument()

void MouseWrtParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by MouseWrtParserInternal::SubDocument, and parse().

## createZones()

bool MouseWrtParser::createZones | ( |  | ) |

protected

finds the different objects zones

Referenced by MouseWrtParserInternal::SubDocument, and parse().

## newPage()

void MouseWrtParser::newPage | ( | int | number | ) |

protected

adds a new page

Referenced by MouseWrtParserInternal::SubDocument, and sendMainZone().

## parse()

void MouseWrtParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

final virtual

virtual function used to parse the input

Implements MWAWTextParser.

Referenced by MouseWrtParserInternal::SubDocument.

## readCharPLCs()

bool MouseWrtParser::readCharPLCs | ( | long | sz | ) |

protected

reads the char plc zone: zone 0

Referenced by createZones(), and MouseWrtParserInternal::SubDocument.

## readDocumentInfo()

bool MouseWrtParser::readDocumentInfo | ( | long | sz | ) |

protected

reads the document info zone: zone 4

Referenced by createZones(), and MouseWrtParserInternal::SubDocument.

## readFont()

bool MouseWrtParser::readFont | ( | MWAWFont & | font,
|  | int & | cPos )

protected

try to read a font

Referenced by MouseWrtParserInternal::SubDocument, readCharPLCs(), and readDocumentInfo().

## readParagraphPLCs()

bool MouseWrtParser::readParagraphPLCs | ( | long | sz | ) |

protected

reads the paragraph plc zone: zone 2

Referenced by createZones(), and MouseWrtParserInternal::SubDocument.

## readPrintInfo()

bool MouseWrtParser::readPrintInfo | ( |  | ) |

protected

reads the print info zone: zone 3

Referenced by createZones(), and MouseWrtParserInternal::SubDocument.

## sendMainZone()

bool MouseWrtParser::sendMainZone | ( |  | ) |

protected

tries to send the main text zone

Referenced by MouseWrtParserInternal::SubDocument, and parse().

## sendZone()

bool MouseWrtParser::sendZone | ( | int | number | ) |

protected

tries to send the header/footer zone

Referenced by MouseWrtParserInternal::SubDocument.

## Friends And Related Symbol Documentation

## MouseWrtParserInternal::SubDocument

friend class MouseWrtParserInternal::SubDocument

friend

## Member Data Documentation

## m_state

std::shared_ptr<MouseWrtParserInternal::State> MouseWrtParser::m_state

protected

the state

Referenced by checkHeader(), computeNumPages(), createDocument(), createZones(), MouseWrtParser(), newPage(), readCharPLCs(), readDocumentInfo(), readParagraphPLCs(), sendMainZone(), and sendZone().

The documentation for this class was generated from the following files:

- MouseWrtParser.hxx
- MouseWrtParser.cxx